Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.localization.definition
Class LocalizationLocale

    java.lang.Object
      com.bea.netuix.application.localization.definition.LocalizationLocale

All Implemented Interfaces
  Serializable

    public class LocalizationLocale

extends Object
implements Serializable

A portal specific wrapper class for `Locale` that can contains the encoding. A `LocalizationLocale` can be compared to other LocalizationLocale classes through the use of the `equals` method.

See Also
  Serialized Form

Field Summary
`protected static Debug` | `debug`
`static String` | `DEFAULT_ENCODING`

Constructor Summary
`LocalizationLocale(Locale locale)`
`LocalizationLocale(Locale locale, String encoding)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getEncoding()` Deprecated
`Locale` | `getLocale()`
`LocalizationLocaleId` | `getLocalizationLocaleId()`
`void` | `setEncoding(String encoding)` Deprecated
`void` | `setLocale(Locale locale)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ENCODING

    public static final String DEFAULT_ENCODING

See Also
  Constants Summary

### debug

    protected static Debug debug

Constructor Detail

### LocalizationLocale

    public LocalizationLocale(Locale locale)

### LocalizationLocale

    public LocalizationLocale(Locale locale,
                              String encoding)

Method Detail

### getLocalizationLocaleId

    public LocalizationLocaleId getLocalizationLocaleId()

### getLocale

    public Locale getLocale()

### setLocale

    public void setLocale(Locale locale)

### getEncoding

    @Deprecated
    public String getEncoding()

  Deprecated

### setEncoding

    @Deprecated
    public void setEncoding(String encoding)

  Deprecated

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.